Name: xenpvboot
Version: 0.1
Release: 9%{?dist}
Summary: A bootloader for Xen paravirtual guests.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization

Source: %{name}-%{version}.tar.gz
Patch1: dummy.patch
Patch2: pylint-code-clean.patch
Patch3: fix-test-case.patch
Patch4: fix-xm-crete-hang.patch
Patch5: patch3745.patch
Patch6: add-license-file.patch
Patch7: add-image-search-path.patch
Patch8: add-xl-support.patch
Patch9: rev267.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4

%description
xenpvboot is a bootloader for Xen paravirtual guests.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/xenpvboot

%changelog
* Thu Dec 10 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-9 
- update copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22339323]  

* Fri Feb 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-8 
- make xenpvboot works for both xm/xend and xl/libxl.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Wed Aug 31 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-7 
- add kernel image search patch for OL6 and Fedora 10+ [bug 12924872] 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-6 
- add license file [bug 12737215] 

* Mon Jul 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-5 
-  

* Mon Jun 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-4 
- fix xm create hang when specify fake url [bug 10359366] 

* Thu Jun 09 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3 
- Make test case run. 

* Mon Aug 02 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-2 
- Code clean up using pylint. 

* Thu Jun 24 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
